Workspaces
GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwoord-payload
results
array of object
verplicht
List of results.
Onderliggende attributen tonen
results.id
string
verplicht
Workspace ID.
results.organizationId
string
verplicht
ID of the organization this workspace is part of.
results.status
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
Onderliggende attributen tonen
results.statusTransitions.fromStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
verplicht
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
verplicht
results.statusTransitions.transitionedBy
object
verplicht
Onderliggende attributen tonen
results.statusTransitions.transitionedBy.id
string
verplicht
results.statusTransitions.transitionedBy.type
string
verplicht
Possible values: user, accesskey, contact
results.name
string
verplicht
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
verplicht
The data storage policy for a resource.
Onderliggende attributen tonen
results.dataPolicy.group
string
verplicht
The name of the region group used for storage.
results.dataPolicy.regions
array of object
verplicht
Onderliggende attributen tonen
results.dataPolicy.regions.region
string
verplicht
The name of the AWS region.
results.dataPolicy.regions.priority
integer
verplicht
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
verplicht
Possible values: default, strict
results.configuration
object
Onderliggende attributen tonen
results.configuration.domain
string
Domain name.
results.createdAt
string
verplicht
When the workspace was created.
results.updatedAt
string
verplicht
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
Verzoek-payload
name
string
verplicht
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
verplicht
The data storage policy for a resource.
Onderliggende parameters tonen
dataPolicy.group
string
verplicht
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
verplicht
Onderliggende parameters tonen
dataPolicy.regions.region
string
verplicht
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
verplicht
The priority to give to this region when storing data.
configuration
object
Onderliggende parameters tonen
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
Antwoord-payload
id
string
verplicht
Workspace ID.
organizationId
string
verplicht
ID of the organization this workspace is part of.
status
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Onderliggende attributen tonen
statusTransitions.fromStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
verplicht
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
verplicht
statusTransitions.transitionedBy
object
verplicht
Onderliggende attributen tonen
statusTransitions.transitionedBy.id
string
verplicht
statusTransitions.transitionedBy.type
string
verplicht
Possible values: user, accesskey, contact
name
string
verplicht
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
verplicht
The data storage policy for a resource.
Onderliggende attributen tonen
dataPolicy.group
string
verplicht
The name of the region group used for storage.
dataPolicy.regions
array of object
verplicht
Onderliggende attributen tonen
dataPolicy.regions.region
string
verplicht
The name of the AWS region.
dataPolicy.regions.priority
integer
verplicht
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
verplicht
Possible values: default, strict
configuration
object
Onderliggende attributen tonen
configuration.domain
string
Domain name.
createdAt
string
verplicht
When the workspace was created.
updatedAt
string
verplicht
When the workspace was last updated.
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
Antwoord-payload
id
string
verplicht
Workspace ID.
organizationId
string
verplicht
ID of the organization this workspace is part of.
status
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Onderliggende attributen tonen
statusTransitions.fromStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
verplicht
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
verplicht
statusTransitions.transitionedBy
object
verplicht
Onderliggende attributen tonen
statusTransitions.transitionedBy.id
string
verplicht
statusTransitions.transitionedBy.type
string
verplicht
Possible values: user, accesskey, contact
name
string
verplicht
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
verplicht
The data storage policy for a resource.
Onderliggende attributen tonen
dataPolicy.group
string
verplicht
The name of the region group used for storage.
dataPolicy.regions
array of object
verplicht
Onderliggende attributen tonen
dataPolicy.regions.region
string
verplicht
The name of the AWS region.
dataPolicy.regions.priority
integer
verplicht
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
verplicht
Possible values: default, strict
configuration
object
Onderliggende attributen tonen
configuration.domain
string
Domain name.
createdAt
string
verplicht
When the workspace was created.
updatedAt
string
verplicht
When the workspace was last updated.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
Verzoek-payload
name
string
The display name for the workspace
description
string
The description for the workspace
Antwoord-payload
id
string
verplicht
Workspace ID.
organizationId
string
verplicht
ID of the organization this workspace is part of.
status
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
Onderliggende attributen tonen
statusTransitions.fromStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
verplicht
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
verplicht
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
verplicht
statusTransitions.transitionedBy
object
verplicht
Onderliggende attributen tonen
statusTransitions.transitionedBy.id
string
verplicht
statusTransitions.transitionedBy.type
string
verplicht
Possible values: user, accesskey, contact
name
string
verplicht
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
verplicht
The data storage policy for a resource.
Onderliggende attributen tonen
dataPolicy.group
string
verplicht
The name of the region group used for storage.
dataPolicy.regions
array of object
verplicht
Onderliggende attributen tonen
dataPolicy.regions.region
string
verplicht
The name of the AWS region.
dataPolicy.regions.priority
integer
verplicht
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
verplicht
Possible values: default, strict
configuration
object
Onderliggende attributen tonen
configuration.domain
string
Domain name.
createdAt
string
verplicht
When the workspace was created.
updatedAt
string
verplicht
When the workspace was last updated.
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'